实时音频-视频适用于标准网络摄像头、USB 音频设备和模拟音频设备,并支持 Skype、WebEx 和 Google Hangouts 等标准会议应用程序。要支持实时音频-视频,您的 Horizon 部署必须满足特定的软件和硬件要求。

远程桌面

桌面必须安装 View Agent 5.2 或更高版本或者 Horizon Agent 7.0 或更高版本。对于 View Agent 5.2 桌面,桌面还必须安装相应的 Remote Experience Agent。例如,如果安装了 View Agent 5.2,还必须安装 View 5.2 Feature Pack 2 中的 Remote Experience Agent。请参阅 View Feature Pack 安装与管理指南》文档。 如果具有 View Agent 6.0 或更高版本或者 Horizon Agent 7.0 或更高版本,则不需要使用 Feature Pack。要在发布的桌面和应用程序中使用实时音频-视频,您必须安装 Horizon Agent 7.0.2 或更高版本。

Horizon Client 计算机或客户端访问设备

  • x86 和 x64 设备支持实时音频-视频。ARM 处理器不支持此功能。客户端系统必须满足以下最低硬件要求。

    分辨率

    帧速率

    CPU

    所需内存

    320 x 240

    15 FPS

    双核,1800 MHz

    105 MB

    640 x 480

    15 FPS

    双核,2700 MHz

    150 MB

    1280x720

    15 FPS

    4 核,3400 MHz

    210 MB

  • Horizon Client 需要以下资源库:

    • Video4Linux2

    • libv4l

    • Pulse Audio

    插件文件 (/usr/lib/pcoip/vchan_plugins/libviewMMDevRedir.so) 具有以下依赖关系:

    libuuid.so.1
    libv4l2.so.0
    libspeex.so.1
    libudev0
    libtheoradec.so.1
    libtheoraenc.so.1
    libv4lconvert.so.0
    libjpeg.so.8
    

    所有此类文件必须位于客户端系统上,否则就无法使用实时音频-视频。请注意,这些依赖关系是除 Horizon Client 自身所需的依赖关系之外的依赖关系。

  • 必须安装网络摄像头和音频设备驱动程序,且网络摄像头和音频设备在客户端计算机中必须可操作。要支持实时音频-视频,您不需要在安装了代理的桌面操作系统上安装设备驱动程序。

显示协议

  • PCoIP

  • VMware Blast(需要使用 Horizon Agent 7.0 或更高版本)